Bug 499719 - alsa: HDA/SigmaTel STAC9200, dB info incorrect, Master actually mutes at -46.50 dB
alsa: HDA/SigmaTel STAC9200, dB info incorrect, Master actually mutes at -46....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 15:11 EDT by Mads Villadsen
Modified: 2010-06-28 08:33 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:25:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of alsa-info.sh (14.07 KB, text/plain)
2009-05-07 15:12 EDT, Mads Villadsen
no flags Details
Output of pacmd ls (15.66 KB, text/plain)
2009-05-08 06:59 EDT, Mads Villadsen
no flags Details
Output of amixer -c0 (1.21 KB, text/plain)
2009-05-08 07:00 EDT, Mads Villadsen
no flags Details
Result of alsa-info.sh on a Dell M90 with F12 64bits (16.94 KB, text/plain)
2009-12-30 18:14 EST, Laurent Aguerreche
no flags Details

  None (edit)
Description Mads Villadsen 2009-05-07 15:11:55 EDT
Description of problem:
When adjusting the volume only sound levels of 49% or above result in any sound.  Anything below it completely muted.

This is on a Dell Latitude D820 with an Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-11.fc11.i586
kernel-2.6.29.2-126.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Adjust volume up and down and note that everything works fine.
2. At 49% the volume is barely audible through the internal speakers, through the headphones it is at a reasonable level for 49%.
3. Turn the volume down to 48% and it cuts off completely.
  
Actual results:
Mute at 48% and below.

Expected results:
The sound should be audible from 1% to 100%.

Additional info:
Running alsactl init gives the following output:

Unknown hardware: "HDA-Intel" "SigmaTel STAC9200" "HDA:83847690,102801cc,00102201 HDA:14f12bfa,14f100c3,00090000" "" ""
Hardware is initialized using a guess method
Comment 1 Mads Villadsen 2009-05-07 15:12:36 EDT
Created attachment 342923 [details]
Output of alsa-info.sh
Comment 2 Lennart Poettering 2009-05-07 17:40:10 EDT
Which volume control tool are you using? Please note that this is usually a limitation of your hardware, not PA.

Please run PA in a terminal with "pulseaudio -vvvvv" (might need to kill it first via "pulseaudio -k"). Then set the volume shortly below 48% and paste the complete output of that pulseaudio -vvvvv invocation that it printed up to that point here. 

Then, open another terminal and type "pacmd ls" and paste that output here too.

Finally please do "amixer -c0" and paste its output here as well.
Comment 3 Mads Villadsen 2009-05-08 06:59:04 EDT
I am using the gnome 2.26 notification icon volume control thing. The same thing happens with pavucontrol, so I assume they are both controlling the same volume control.

Here is the output from me changing the volume (using pavucontrol) down to 48% up to 50% and then down to 13%. Even though I changed the volume to 13% the last time it still printed 48%.

I: module-suspend-on-idle.c: Source alsa_input.pci_8086_27d8_sound_card_0 idle for too long, suspending ...
I: alsa-source.c: Device suspended...
I: module-suspend-on-idle.c: Sink alsa_output.pci_8086_27d8_sound_card_0 idle for too long, suspending ...
I: alsa-sink.c: Device suspended...
I: module-device-restore.c: Synced.
D: alsa-sink.c: Read hardware volume: 0:  48% 1:  48%
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_27d8_sound_card_0.
I: module-device-restore.c: Synced.
D: alsa-sink.c: Read hardware volume: 0:  50% 1:  50%
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_27d8_sound_card_0.
D: alsa-sink.c: Read hardware volume: 0:  48% 1:  48%
I: module-device-restore.c: Storing volume/mute for device sink:alsa_output.pci_8086_27d8_sound_card_0.
I: module-device-restore.c: Synced.
Comment 4 Mads Villadsen 2009-05-08 06:59:37 EDT
Created attachment 343070 [details]
Output of pacmd ls
Comment 5 Mads Villadsen 2009-05-08 07:00:03 EDT
Created attachment 343071 [details]
Output of amixer -c0
Comment 6 Lennart Poettering 2009-05-10 09:17:59 EDT
Ok, the problem seems to be that the dB information that is exported by your driver is not entirely correct. i.e. The 'Master' slider is at -46.50 dB (the minimal level) but audio is already completely cut off. It seem as if your driver should return a different dB value (a much lower one) for its lowest volume level. Rassigning to alsa/the kernel.
Comment 7 Bug Zapper 2009-06-09 11:23:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jimmy Sapède 2009-06-17 01:02:57 EDT
Same bug found here in FC11,

when i reach around 50% of PA volume, no more sound.

I've got a look on how applet control the sound and it looks like the applet both acts on the PA volume but also on the alsamixer master volume.

when i get to 50% on PA volume with the applet, the master volume of alsa mixer reaches zero (while PCM is still at 100).

isn't there a problem ? the applet should only control the PA volume isnt it ?
Comment 9 Jimmy Sapède 2009-06-17 01:04:36 EDT
forgot to mention that i have onboard sound processor, Nvidia CK804
Comment 10 Jean-Jacques Sarton 2009-08-04 06:18:36 EDT
I have the same or similar problems. Dell M90 hda_intel STC9200.
Within pavucontrol I can see for example that the volume control on the playback tab "ALSA plug-in [xine]" and on the Outout Devices tab "internal Audio" has alway the same value.
If I set the alsa mixer master volume control to 0, both volume control within pavu control are set to 48% and of course there is no more sound.

On the first attemp to play Audio with Xine, the sound was very low, I had to increase within alsamixer the PCM volume. which is no present on pavucontrol.
Comment 11 Laurent Aguerreche 2009-12-30 18:10:42 EST
With Fedora 12 on a Dell M90 and hda_intel STC9200, the problem is still there. Sound is cut off just below -45dB, at -46,50dB I do not have sound anymore. No step between -45 and -46,50dB.
I obtained these values with "alsamixer -c 0".

In gnome-volume-control, the sound is turned off when the slider for Output volume goes under ~15%. Above 100%, my head could explode because the sound level is VERY high!
Comment 12 Laurent Aguerreche 2009-12-30 18:14:31 EST
Created attachment 381024 [details]
Result of alsa-info.sh on a Dell M90 with F12 64bits
Comment 13 Raymond 2010-03-29 07:34:57 EDT
(In reply to comment #6)
> Ok, the problem seems to be that the dB information that is exported by your
> driver is not entirely correct. i.e. The 'Master' slider is at -46.50 dB (the
> minimal level) but audio is already completely cut off. It seem as if your
> driver should return a different dB value (a much lower one) for its lowest
> volume level. Rassigning to alsa/the kernel.    



Refer to stac9200 datasheet the range of the volume control is (-46.5dB to +0dB)

http://www.idt.com/?genId=STAC9200


5.4.9. AFG OutAmpCap

Table 26. AFG OutAmpCap Command Verb Format
Verb ID Payload Response
Get F00 12 See bitfield table
Table 27. AFG OutAmpCap Command Response Format
Bit Bitfield Name RW Reset Description
[31] Mute R 0x1 Amplifier is capable of muting
[30.:23] Rsvd3 R 0x0 Reserved
[22.:16] StepSize R 0x05 Size of each step in the gain range = 1.5dB
[15] Rsvd2 R 0x0 Reserved
[14.:8] NumSteps R 0x1F Number of steps in the gain range = 32
(-46.5dB to +0dB)
[7] Rsvd1 R 0x0 Reserved
[6.:0] Offset R 0x1F 0dB-step is programmed with this offset
Comment 14 Bug Zapper 2010-04-27 10:12:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 08:25:58 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Laurent Aguerreche 2010-06-28 08:33:15 EDT
This bug is still in F11 and also in F12. Moreover I upgraded to F13 a few days ago and this bug is also there. I saw long discussions on the Alsa mailing-lists but at the end users still face this basic problem...

Note You need to log in before you can comment on or make changes to this bug.